<script setup>
const searchFunction = () => {
    let search = document.getElementById('search__form').value;
    if (search) {

    }
}
</script>
<template>
    <form class="search__form" @submit.prevent="searchFunction">
        <div class="search__input">
            <button type="submit"><svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                    xmlns="http://www.w3.org/2000/svg">
                    <g clip-path="url(#clip0_1_60)">
                        <path
                            d="M20.7801 19.7203L16.3033 15.2435C17.5233 13.7515 18.1231 11.8476 17.9787 9.92571C17.8343 8.00381 16.9567 6.21094 15.5275 4.91793C14.0983 3.62492 12.2268 2.93071 10.3001 2.97888C8.37336 3.02706 6.53886 3.81393 5.17605 5.17675C3.81323 6.53957 3.02635 8.37406 2.97818 10.3008C2.93001 12.2275 3.62422 14.099 4.91723 15.5282C6.21023 16.9574 8.00311 17.835 9.92501 17.9794C11.8469 18.1238 13.7508 17.524 15.2428 16.304L19.7196 20.7808C19.861 20.9174 20.0505 20.993 20.2471 20.9913C20.4438 20.9896 20.6319 20.9107 20.771 20.7717C20.91 20.6326 20.9889 20.4445 20.9906 20.2478C20.9923 20.0512 20.9167 19.8617 20.7801 19.7203ZM10.4998 16.5005C9.31315 16.5005 8.15311 16.1486 7.16642 15.4894C6.17972 14.8301 5.41069 13.893 4.95656 12.7966C4.50243 11.7003 4.38361 10.4939 4.61512 9.33C4.84664 8.16611 5.41808 7.09701 6.2572 6.2579C7.09631 5.41878 8.16541 4.84734 9.3293 4.61583C10.4932 4.38432 11.6996 4.50314 12.7959 4.95726C13.8923 5.41139 14.8294 6.18042 15.4887 7.16712C16.1479 8.15381 16.4998 9.31385 16.4998 10.5005C16.4981 12.0913 15.8653 13.6164 14.7405 14.7412C13.6157 15.866 12.0906 16.4988 10.4998 16.5005Z"
                            fill="#4A4C56" />
                    </g>
                    <defs>
                        <clipPath id="clip0_1_60">
                            <rect width="18" height="18" fill="white" transform="translate(3 3)" />
                        </clipPath>
                    </defs>
                </svg>
            </button>
            <input id="search__form">
        </div>
        <select type="text" id="material_id" name="material_id" class="" @change="$emit('change_mat')">
            <option value="" selected>Выберите материал</option>
            <template v-for="item in $page['props']['materials']">
                <option :value="item.id">{{ item.name }}</option>
            </template>
        </select>
    </form>
</template>
